Subject: Re: bug#66339: Gnome-team dbus socket in /var/run/dbus, not /run/dbus

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 07 Oct 2023 10:39:37 -0400

Hi,

Vivien Kraus <[email-masked]> writes:

> Glib has made /run the default runstatedir:
>
> https://gitlab.gnome.org/GNOME/glib/-/merge_requests/3101
>
> However, in Guix, the default runstatedir is /var/run.
>
> * gnu/packages/glib.scm (glib): Set runtime_dir to /var/run.
> ---
>
> I changed my mind again!  Following the IRC discussion, Guix has a separate
> /var/run and /run (and puts /run/current-system/ in /run).  So, /var/run/dbus
> is actually the correct place to put the system session socket.

I don't follow; why does it matter that Guix puts its current-system
directory under /run?  /run is to be shared by many applications, like
/tmp, no?

I still see /var/run as the legacy directory of /run, so I'd prefer we
standardize to use the modern variant to reduce this kind of friction
with the applications which will only grow in the future.

-- 
Thanks,
Maxim